commit:     23700333a22066efcfbd8bef8d2336fb264338ee
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 22 09:44:35 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Mar 22 10:07:04 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23700333

dev-ml/ppx_bin_prot: bump to 113.33.00

Package-Manager: portage-2.2.28
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/ppx_bin_prot/Manifest                      |  1 +
 dev-ml/ppx_bin_prot/ppx_bin_prot-113.33.00.ebuild | 46 +++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-ml/ppx_bin_prot/Manifest b/dev-ml/ppx_bin_prot/Manifest
index 8b6abf3..24eb7eb 100644
--- a/dev-ml/ppx_bin_prot/Manifest
+++ b/dev-ml/ppx_bin_prot/Manifest
@@ -1,2 +1,3 @@
 DIST ppx_bin_prot-113.24.00.tar.gz 68599 SHA256 
e54749d90801c726cff6a2df97f25b37fdc02d182813152e09c1f1b0f800da08 SHA512 
990a202e61c38ded24b8ab268b36c7d50c99108188f64d6734afe2507ed695a8bb300ba4babf2d5d7e3d7f6eb049f75c8b666d526dd117a41a03f6983faab121
 WHIRLPOOL 
7bc7fde7169e39d043996aa9385e1679b481736d5621a8f861d7ffdfc563410baf7d8a89ba47cef418b3a2c9b1173f10891eb71a7e3ae36bd1e51a2f1975ae0b
 DIST ppx_bin_prot-113.24.01.tar.gz 68281 SHA256 
142161bbf424adca3645253e5d5b27a37d4bfc4a748b936e8ba644bce5fef0dd SHA512 
64558b0788242a364f08be59a1eccdfd382259717289457b150682df88e01f25e7e18e0633bde3fc597f0e242782f5a285d9ff1b44c4d155871272e0ab1faf0e
 WHIRLPOOL 
df6f5c3288ce4be2e1b66ad6cc0474d2adad3405296952505a6e625a602bdc46fa76fe3b0bc1959cad87769bb2d51a99b31e3889027a258c0f2fde4c4cf06f79
+DIST ppx_bin_prot-113.33.00.tar.gz 68597 SHA256 
958c10a6a621e861b1c58677d37ad711fd073331f5e60178adae31e214af0870 SHA512 
5085187e7e82068628dd1c53de1313c6b2608c9fceb00c3c5ce924d5808b37b7f9dbd70926907f850e838e778d878dad4c8cc6404d25d06bab6e26af3e02890f
 WHIRLPOOL 
86262b307a70deaac901cf8dffa8f5eb2de4b4d6bf36e2c542cd7c518845bd241424a8a0b18993804f663d7c6594e128b0b0695734b2161a7058c58ab326c4c8

diff --git a/dev-ml/ppx_bin_prot/ppx_bin_prot-113.33.00.ebuild 
b/dev-ml/ppx_bin_prot/ppx_bin_prot-113.33.00.ebuild
new file mode 100644
index 0000000..50cf669
--- /dev/null
+++ b/dev-ml/ppx_bin_prot/ppx_bin_prot-113.33.00.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit oasis
+
+MY_P=${PN/-/_}-${PV}
+DESCRIPTION="Generation of bin_prot readers and writers from types"
+HOMEPAGE="http://www.janestreet.com/ocaml";
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${MY_P}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-ml/ppx_tools:=
+       dev-ml/ppx_core:=
+       dev-ml/ppx_type_conv:=
+       >=dev-ml/bin-prot-113.24.00:=
+       "
+
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND} dev-ml/opam"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+       emake setup.exe
+       OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+       emake
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+       dodoc CHANGES.md
+}

Reply via email to